import type { CommonLogger } from '@lokalise/node-core';
import type { Message } from '@platformatic/kafka';
import type { ZodSchema } from 'zod';
export interface RequestContext {
    logger: CommonLogger;
    reqId: string;
}
export type KafkaHandler<MessageValue extends object> = (message: Message<string, MessageValue, string, string>, requestContext: RequestContext) => Promise<void> | void;
export declare class KafkaHandlerConfig<MessageValue extends object> {
    readonly schema: ZodSchema<MessageValue>;
    readonly handler: KafkaHandler<MessageValue>;
    constructor(schema: ZodSchema<MessageValue>, handler: KafkaHandler<MessageValue>);
}
