import type { SupportedMessageValuesForTopic, SupportedTopics, TopicConfig } from '../types.ts';
import type { KafkaHandlerConfig } from './KafkaHandlerConfig.ts';
import type { KafkaHandlerRouting } from './KafkaHandlerRoutingBuilder.ts';
export declare class KafkaHandlerContainer<TopicsConfig extends TopicConfig[]> {
    private readonly handlers;
    private readonly messageTypeField?;
    constructor(topicHandlers: KafkaHandlerRouting<TopicsConfig>, messageTypeField?: string);
    private mapTopicHandlers;
    resolveHandler<Topic extends SupportedTopics<TopicsConfig>>(topic: Topic, messageValue: SupportedMessageValuesForTopic<TopicsConfig, Topic>): KafkaHandlerConfig<SupportedMessageValuesForTopic<TopicsConfig, Topic>> | undefined;
    get topics(): SupportedTopics<TopicsConfig>[];
}
