import type { SupportedMessageValues, SupportedMessageValuesForTopic, SupportedTopics, TopicConfig } from '../types.ts';
import type { KafkaHandlerConfig } from './KafkaHandlerConfig.ts';
export type KafkaHandlerRouting<TopicsConfig extends TopicConfig[], MessageValue extends SupportedMessageValues<TopicsConfig> = SupportedMessageValues<TopicsConfig>> = Record<string, KafkaHandlerConfig<MessageValue>[]>;
export declare class KafkaHandlerRoutingBuilder<TopicsConfig extends TopicConfig[]> {
    private readonly configs;
    addConfig<Topic extends SupportedTopics<TopicsConfig>, MessageValue extends SupportedMessageValuesForTopic<TopicsConfig, Topic>>(topic: Topic, config: KafkaHandlerConfig<MessageValue>): this;
    build(): KafkaHandlerRouting<TopicsConfig>;
}
